from scipy import signal
import numpy as np
import matplotlib.pyplot as plt
import sk_dsp_comm.sigsys as ss
# Use the default values
b_bpf,a_bpf = ss.am_rx_BPF()

# Pole-zero plot of the filter.

ss.zplane(b_bpf,a_bpf)
plt.show()

# Plot of the frequency response.

f = np.arange(0,192/2.,.1)
w, Hbpf = signal.freqz(b_bpf,a_bpf,2*np.pi*f/192)
plt.plot(f*10,20*np.log10(abs(Hbpf)))
plt.axis([0,1920/2.,-80,10])
plt.ylabel("Power Spectral Density (dB)")
plt.xlabel("Frequency (kHz)")
plt.show()
